nav
    background-color: #c6d5d2
    position: fixed
    left: 0
    top: 0
    height: 100vh
    width: 100%
    opacity: 0
    z-index: -1
    background-image: url('../KSC_Support/Background-Element_Layer/Main_Menu/Main-Menu-BG_Desktop1440W.png')
    background-size: cover
    background-repeat: no-repeat
    transition: all .3s linear 0s
    overflow-y: scroll
    
    &.active 
        transition: all .3s linear .3s
        z-index: 1000
        opacity: 1
        .close-btn
            .cross-line:nth-child(1)
                transform: rotate(45deg)
                top: 18px
                left: 10px
            .cross-line:nth-child(2)
                transform: rotate(-45deg)
                top: 18px
                left: 10px
    .close-btn
        width: 42px
        height: 42px
        opacity: 0.5
        background-color: #ffffff
        position: fixed
        right: 50px
        top: 60px
        border-radius: 50%
        &:hover
            opacity: 1
            cursor: pointer
        .cross-line
            width: 22px
            height: 2px
            background-color: #364546
            position: absolute
            &:nth-child(1)
                top: 15px
                left: 10px
            &:nth-child(2)
                top: 22px
                left: 10px

    .customer-title 
        margin-top: 150px
        font-family: KrungsriSimple
        font-size: 80px
        font-weight: bold
        font-stretch: normal
        font-style: normal
        line-height: 1.13
        letter-spacing: 0.15px
        color: #ffd400

    .wrap-menu
        margin-bottom: 80px
        .items
            li
                list-style-type: none
                text-align: right
                a
                    font-family: KrungsriSimple
                    font-size: 50px
                    font-weight: bold
                    font-stretch: normal
                    font-style: normal
                    line-height: 1
                    letter-spacing: 0.15px
                    text-align: right
                    color: #ffffff
                &:nth-child(n + 2 )
                    margin-top: 40px

                &:hover
                    text-shadow: 0 10px 30px #1e2829
                    cursor: pointer
                    

@keyframes bounceInLeft 
    0% 
        opacity: 0
        transform: translateX(-100%)
    
    60% 
        opacity: 1
        transform: translateX(30px)
    
    80% 
        transform: translateX(-10px)
    
    100% 
        transform: translateX(0)
    
     
@media screen and ( max-width:  990px)
    body
        nav
            background-image: url('../KSC_Support/Background-Element_Layer/Main_Menu/Main-Menu-BG_Mobile375W.png')
            background-size: cover
            .close-btn
                top: 27px
                right: 15px
            .customer-title
                font-family: KrungsriSimple
                font-size: 40px
                font-weight: bold
                font-stretch: normal
                font-style: normal
                line-height: 1.13
                letter-spacing: 0.15px
                color: #ffd400

            .wrap-menu
                margin-top: 40px
                .items
                    li
                        a
                            font-family: KrungsriSimple
                            font-size: 30px
                            font-weight: bold
                            font-stretch: normal
                            font-style: normal
                            line-height: 1.67
                            letter-spacing: 0.09px
                            text-align: right
                            color: #ffffff
                        &:nth-child(n+2)
                            margin-top: 10px 

@media screen and ( max-width: 1366px  ) and (min-width: 991px)
    nav 
        .customer-title
            margin-top: 40px
            font-size: 11vh
            margin-bottom: 20px
        .wrap-menu 
            .items 
                li
                    &:nth-child(n+2)
                        margin-top: 23px
                    a
                        font-size: 8vh